import { PaginationProps, Table } from "antd";
import { useState } from "react";
const BTable = (props: any) => {
  const { store, dataSource } = props;
  const [selectedRowKeys, setSelectedRowKeys] = useState<React.Key[]>([]);
  const onSelectChange = (newSelectedRowKeys: React.Key[]) => {
    setSelectedRowKeys(newSelectedRowKeys);
  };

  const rowSelection = {
    selectedRowKeys,
    onChange: onSelectChange,
  };
  const onShowSizeChange = (current, pageSize) => {
    store.setPages({
      PageNum: current,
      PageSize: pageSize,
    });
  };
  const onChange: PaginationProps["onChange"] = (page) => {
    store.setPages({
      PageNum: page,
      PageSize: 20,
    });
  };
  return (
    <Table
      pagination={{
        size: "small",
        total: store.total,
        defaultCurrent: 1,
        pageSize: 20,
        showSizeChanger: true,
        onShowSizeChange: onShowSizeChange,
        onChange: onChange,
      }}
      rowSelection={rowSelection}
      columns={props.columns}
      dataSource={dataSource}
    />
  );
};

export default BTable;
