import React, { useEffect, useState } from "react";
import { inject, observer } from "mobx-react";
import { Store } from "antd/lib/form/interface";
import AliUpload from "@/components/aliUpload";
import { UploadFile } from "antd";

const Banner = (props: Store) => {
  const { systemStore } = props;
  const [fileList, setFileList] = useState<UploadFile[]>([]);
  useEffect(() => {
    systemStore.getBanner().then((res) => {
      res?.data.list.forEach((element) => {
        element.url = element.bannerUrl;
        element.name = element.bannerName;
      });
      setFileList(res?.data.list);
    });
  }, [systemStore]);

  return (
    <div style={{ margin: 10 }}>
      <AliUpload
        imgList={fileList}
        onChnage={(res) => {
          systemStore.addBanner(res);
        }}
      />
    </div>
  );
};

export default inject("systemStore")(observer(Banner));
