// import Editors from "@/pages/card/editor";
import { Suspense, lazy } from "react";

const CardPageList = lazy(() => import("@/pages/card/card-list"))
const CurrentEventPageList = lazy(() => import("@/pages/card/currentEvent"))
const CharacterPageList = lazy(() => import("@/pages/card/character"))
const Componsition = lazy(() => import("@/pages/componsition/componsition"))
const Editors = lazy(() => import("@/pages/card/editor"))

export const cardRouter = [
  {
    path: "/card",
    children: [
      {
        path: "/card/list",
        index: true,
        element: <Suspense>
          <CardPageList />
        </Suspense>
      },
      {
        path: "/card/currentEvent",
        index: true,
        element: <Suspense>
          <CurrentEventPageList />
        </Suspense>

      },
      {
        path: "/card/character",
        index: true,
        element: <Suspense>
          <CharacterPageList />
        </Suspense>
      },
      {
        path: "/card/componsition/:id",
        index: true,
        element: <Suspense>
          <Componsition />
        </Suspense>
      },
      {
        path: "/card/editors/:id/:type",
        index: true,
        element: <Suspense>
          <Editors />
        </Suspense>
      },
    ]
  },
];