import { action, makeObservable } from "mobx";
import baseHttp from "@/service/base";
import BaseStore from "../baseStore";
import SystemConfig from '../../service/apiConfig/systemConfig';
class SystemStore extends BaseStore<any> {
    constructor() {
        super(SystemConfig)
        makeObservable(this, {
            getBanner: action,
            addBanner: action,
            addImage: action,
        })
    }
    // 获取banner
    async getBanner() {
        return await baseHttp.get( SystemConfig.BannerList, {})
    }
    // 获取banner
    async addImage(params) {
        return await baseHttp.post( SystemConfig.AddImages, { ...params })
    }
    // 保存banner地址
    async addBanner(params) {
        return await baseHttp.post( SystemConfig.AddBanner, { list: params })
    }
}

export default new SystemStore();